Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.idautomation.fontencoder.qrcode
Class QRCodeEncoder

    java.lang.Object
      com.idautomation.fontencoder.qrcode.QRCodeEncoder

public class QRCodeEncoder
extends java.lang.Object

This is the main QRCodeEncoder class that generates the QRCode font string.

Constructor Summary
`QRCodeEncoder()`

Method Summary
`java.lang.String` | `FontEncode(java.lang.String dataToEncode, boolean applyTilde, java.lang.String encodingMode, java.lang.String errorLevel, int version, boolean bestMask)` Class used to produce the QRCode font formatted string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QRCodeEncoder

    public QRCodeEncoder()

Method Detail

### FontEncode

    public java.lang.String FontEncode(java.lang.String dataToEncode,
                                       boolean applyTilde,
                                       java.lang.String encodingMode,
                                       java.lang.String errorLevel,
                                       int version,
                                       boolean bestMask)

  Class used to produce the QRCode font formatted string.

  Parameters:
    `dataToEncode` - data to encode.
    `applyTilde` - option to apply Tilde decoding before QRCode encoding
    `encodingMode` - type of encoding: "Byte", "Alpha", "numeric"
    `errorLevel` - error correction level: "M", L", "Q", "H"
    `version` - size of QRCode: [-4 .. 40], -4 = M1, -3 = M2, -2 = M3, -1 = M4
    `bestMask` - option to apply the best mask pattern
  Returns:
    string to print with IDAutomation 2D font

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD